package net.p0f.samples.rhpam_fuse_integration.shared_dom;

import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class Award implements java.io.Serializable {
	private static final long serialVersionUID = 1L;
	private Customer carrier;
	private String reason;

	public Award() {
		super();
	}

	public Award(String reason) {
		this.setReason(reason);
	}

	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}

	public Customer getCarrier() {
		return carrier;
	}

	public void setCarrier(Customer carrier) {
		this.carrier = carrier;
	}
	
	public String toString() {
		return "[Award: \"" + this.reason + "\" to: " + this.carrier + "]";
	}
}
